WordPress.org

Ready to get started?Download WordPress

Forums

Upgraded to 2.0.3, can't delete posts (11 posts)

  1. webhound
    Member
    Posted 8 years ago #

    I've just upgraded from 2.0.2 to 2.0.3. Install went well and everything appears to be running OK--except that I can't delete posts. Have tried it with posts from before update and new posts since update. I'm logged in as "admin" and get a message at the bottom of the Manage Posts page that says "You don't have permission to do that."

    Any help?

  2. richards1052
    Member
    Posted 8 years ago #

    Sounds like you're having the same probl as described in this thread:
    http://wordpress.org/support/topic/74619?replies=13

    You should also try the plugin 'tune up' linked in that thread. I was having a diff. problem related to nonces in which I saw a confirmation pg. after editing a comment & then received a 403 error along w. garbage text added to the comment post box. The plugin fixed the problem.

  3. ptroxler
    Member
    Posted 8 years ago #

    same trouble here -- bin 2.0.3 and go back to 2.0.1 until they've fixed it (maybe they're even reading these posts...)

  4. webhound
    Member
    Posted 8 years ago #

    UPDATE:

    Got back into the Admin module this morning and links and posts can be deleted without any problem. I didn't do anything differently than last night; not sure what's different. At any rate, all appears to be well now. Note that I did install the Tuneup plugin last night and it did not fix this problem.

  5. liquidrhino
    Member
    Posted 8 years ago #

    Yeah, I'm having the same problem with deleting posts (also Links/categories can't be deleted either) that only happens on my 2.0.3 version instances.

    I've also noticed that on a clean install of 2.0.3, the DB's created are InnoDB format, whereas all my other instances (2.0.1, 2.0.2) the DB's get created as MyISAM. I wonder if this is causing any havoc on some folks setups?

  6. zzb
    Member
    Posted 7 years ago #

    Looking for some additional information on this problem. I can get a virgin install of 2.0.2 working fine. Since I have decided to try and port most of my Blogger posts over once I have WP set up. Everything seemed to work fine in my ISP's version of 2.0.2 that was installed via their control panel.

    I saw the note that there was a "stable" 2.0.4. upgrade so I followed the directions... (nothing in my database again off a virgin 2.0.2 install.) I was able to delete links and posts in 2.0.2 (the fading red background in the links) but get the same error as described here "You do not have permission to do that" and find I can't delete links or posts. Clearly the system does not recognize me logged in as ADMIN. Is there a patch for people migrating off of 2.0.2 .... the upgrade.php file ran fine...

  7. Chris_K
    Member
    Posted 7 years ago #

    Well, here's probably what I'd do since I don't usually trust automated installs (nor is that a blanket condemnation!).

    I'd do a clean install of 2.0.4. I'd copy the wp-config.php settings from your existing install, but just change the wp-prefix setting to something new like "wp2_"

    http://codex.wordpress.org/Getting_Started_with_WordPress#Installation

  8. zzb
    Member
    Posted 7 years ago #

    Ok folks... Here is what I discovered piecing together some information from some of the posts...

    First... symptom: After upgrading a virgin 2.0.2 install to 2.0.4 I ran into error "You don't have permission to do that." as described in the first post.

    1. I use Firefox - I logged out.
    2. I tried IE6 --- (Never ran the WP account with IE) links and posts deleted fine just as in 2.0.2

    I figured this was a cookie problem...

    3. Went into Firefox options, security, opened cookie tab looked for all the cookies associated with the domain that the new WP installation was in and deleted all of them

    4. Closed browser

    5. Made sure I was logged off in IE

    6. Logged into WP using Firefox

    PRESTO... I could delete links and posts...

    Not sure if I have any other issues... but given the spooky way some of the theads sounded it reminded me of authorization issues with the Plantinum Nuke CMS site I run. Cookies can really bite you in the butt if you are not careful!!!

    Hopefully this might help some of you with this problem.
    Also... I did run the force-installation.php patched and it did NOT help me, but since there might be a correlation with me running that before I cleared the Firefox cookies I thought I would mention it here...

    Good luck...

  9. Chris_K
    Member
    Posted 7 years ago #

    Excellent followup. Thanks for sharing!

  10. funkygrl
    Member
    Posted 7 years ago #

    I am having the same problem after I upgraded to 2.0.5.

    And the weird thing is that I only have the problem in Mac Firefox 2.0. I blew away all my cookies twice, also restarted my computer afterwards and it made no difference.

    BUT, I can delete the posts fine if I log in with Safari.

    Could it really be a permissions problem with the database if the problem is browser specific? That doesn't seem to make sense to me (but hey... I'm only a designer, not a programmer.)

    Atleast I have a workaround until this is fixed.

  11. funkygrl
    Member
    Posted 7 years ago #

    OK... I think the problem was stuck in the Firefox cache. I had deleted the cookies, but forgot the cache.

    I clicked on the "Clear now..." in the "Private data" section and deleted everything that was checked by default.

    It's all fixed now. Thanks.

Topic Closed

This topic has been closed to new replies.

About this Topic